#include <iostream>
#include "Distribution/bernoulliDistribution.h"
#include "Distribution/discreteDistribution.h"
#include "Distribution/diracDistribution.h"
#include "Distribution/exponentialDistribution.h"
#include "Distribution/geometricDistribution.h"
#include "Distribution/uniformDiscreteDistribution.h"
#include "Distribution/uniformDistribution.h"

#define NB_DIST 7

int main( int argc, char** argv ) 
{
  double pro[4] = { 0.1, 0.2, 0.3, 0.4 };
  Distribution* d[NB_DIST];

  d[0] = new bernoulliDistribution( 0.2 );
  d[1] = new discreteDistribution( 4, pro, pro );
  d[2] = new diracDistribution( 1.0 );
  d[3] = new exponentialDistribution( 4.0 );
  d[4] = new geometricDistribution( 0.2 );
  d[5] = new uniformDiscreteDistribution( 4, 8 );
  d[6] = new uniformDistribution( 1.0, 2.0 );

  for ( int i = 0; i < NB_DIST; i++ ) {
    std::cout << "Mean of " << d[i]->toString() << " = " 
	      << d[i]->mean() << std::endl;
  }

  for ( int i = 0; i < NB_DIST; i++ ) {
    std::cout << "Variance of " << d[i]->toString() << " = " 
	      << d[i]->variance() << std::endl;
  }

  for ( int i = 0; i < NB_DIST; i++ ) {
    std::cout << "Quantile at 6.0 of " << d[i]->toString() << " = " 
	      << d[i]->ccdf(6.0) << std::endl;
  }

  for ( int i = 0; i < NB_DIST; i++ ) {
    for ( int j = 0; j < NB_DIST; j++ ) {
    std::cout << "L1 Distance between " << d[i]->toString() << " and " 
	      <<  d[j]->toString() << " = " << d[i]->distanceL1( d[j] ) 
	      << std::endl;
    }
  }

 }
